html {
	font-family: "Roboto Light","Segoe UI",Verdana,sans-serif;
	font-size: 15px;
	line-height: 1.5;
	font-weight: normal;
}
.w3-btn { margin-left:1px; margin-bottom: 1px; }
a:hover, a:active, a.w3-btn-floating-large {
	text-shadow: 1px 1px rgba(255,255,255,0.2); 
	box-shadow:0 8px 16px 0 rgba(0,0,0,0.2) !important;  /* ,0 6px 20px 0 rgba(0,0,0,0.19) */
}
.w3-topnav a , .w3-topnav a:first-child {
	padding:4px;
}
.w3-modal-content .w3-topnav a , .w3-modal-content .w3-topnav a:first-child {
	margin:8px 4px 4px 4px; 
	padding:4px;
}
.w3-topnav { text-align: right; }
a, a:visited { color: #009688; }  /* #2196F3 */
.w3-nav a,.w3-topnav a,.w3-sidenav a { color:#000; }
a.w3-closebtn, a.w3-closebtn:visited { color: #ffffff !important; padding: 0 8px; }
.w3-sidenav a { margin: 0 1px 4px 1px; }

.w3-modal-content.w3-card-8 { padding-bottom: 8px; }
.w3-modal-content div.w3-container.w3-theme { line-height: 2em; font-size: 1.2em; padding-right: 4px; }

h2 { margin-left: 16px; }
h3 { margin-left: 8px; }

.pal-list {
}
.pal-list:after {
	content:'';
	display:block;
	clear: both;
}

.pal-card {
	margin: 24px 16px;
	position: relative;
	padding: 4px 8px;
/* 	overflow: hidden; */
}

.pal-card a {
	text-decoration: none;
}
.pal-card p {
	font-size: 1.2em; /* margin: 8px 10px; */
}
.pal-card div.bgimg {
	position: absolute;
	top: 0;	left: 0;
	width: 100%;
	height: 100%;
	max-height: 300px;
/* height: 300px;	background-image: url(''); */
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center center;
	opacity: 0.4;
	z-index: -2;
	transition: opacity 1s ease-out;
}
.pal-card div.bgfad {
	position: absolute;	top: 0;	left: 0;
	width: 100%;	
	  height: 100%;
    max-height: 300px;
/* height: 300px; */	
	z-index: -1;
	background: linear-gradient(to bottom, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 100%);
	transition: top 1s ease-out, max-height 1s ease-out;
}


.pal-title {
	margin: 8px 8px 2px 8px; line-height:1.2em; clear:left;
}
.pal-title a {
	font-size: 1.2em;
	display: block;
	padding: 8px 4px;
	text-shadow: 1px 1px 1px rgba(255, 255, 255, 1);
}
.pal-title a span {
	color:#000;
}
.pal-sentence {
	margin: 2px 8px 4px 8px; padding: 8px 4px;
	position:relative;
}
.pal-sentence p {
	font-family:Georgia, serif; font-size: 1.6em; 
	margin: 0;
}

.pal-original  {
 background-color: #CCFF90; 
}
.pal-unoriginal  {
 background-color: #F0F4C3;
}

.pal-rev {
	color: #009688;
	cursor: ew-resize;
}
.but-ss, .but-playpal {
	background-color: transparent;
	border:none;
}
.but-playpal {
	position:absolute; bottom:0; right:0;
}
.but-closess {
	position:absolute; top:-4px; right:0;
}
#textss { width: 99%; }

#speechbar {
	position:fixed;bottom:0;right:0;left:0;z-index:1;
}
#speechbar a{
	color: #000;
}

.hidden {display:none;}

/*:target:before {
  content:"";
  display:block;
  height:48px;  fixed userbar height + 8 
  margin:-48px 0 0;
}*/
:target:before {
    content: "";
    display: block;
    height: 50px;
    margin: -50px 0 0;
/*    top: 0px;
    position: absolute;
    border: 1px solid red;*/
}/*
:target {
    position: relative; TODO: fix userbar margin, but check if doesn't break stuff around
}*/
.userbar {
	position:fixed;top:0;right:0;left:0;z-index:1;
	height:40px;
}
.userbar .userpic {
	float: right;
}
.pal-card .userpic {
	float: left;
	margin-right: 8px;
}

.searchbut {
	float:left; margin: 7px 0 0 12px;
}
.searchbut a{
	color:#000;
}

#langcont a {
    display: block;
    text-align: center;
    padding: 8px;
		text-decoration: none;
		color: #000;
		font-weight: bold;
}

/* .usr_name */
.userbar span {
	margin-top: 6px;
}
.userpic img{
	width:50px;
}
/*a:hover.userpic img{
	width:60px;
	top:-10px; left:-10px;
}*/
.userpic, .userpic img{
	border-radius:50%;
	/* margin: -6px -6px 0 10px; */
}
.pal-card .userpic, .pal-card .userpic img{
	border-radius:50%;
	/* margin: -4px 0 0 -4px; */
}

.mnuitem {
 display: block; 
}

#likebut, #cmntbut  {
    white-space: nowrap;
}
.likes {
	padding: 8px 4px 8px 4px;
	vertical-align: middle;
	color: #000;
	border-radius: 0 4px 4px 0;
	border: 1px solid rgba(0,0,0,0.15);
	border-left-width: 0;
	background-color: #fff;
}
#body {
	width:100%; height:auto; border-radius:4px; 
}

.cmt-card {
	clear: both;
	border-bottom: 1px solid #c0c0c0;
	padding: 2px 0;
}
.cmt-card:last-child {	border-bottom: none; }
.cmt-card .userpic {
	float: left;
	margin-right: 8px;
}
.cmt-card p{
	margin: 4px 2px 8px 2px;
	overflow: hidden;
}
.cmthidden {
	padding: 2px 4px;
	font-size: 0.8em;
	line-height: 1em;
	box-shadow: inset 8px 20px 40px 0px rgba(0,0,0,0.15);
}
.cmthidden .cmtdate {
	color: black;
}
.cmthidden .cmtdate a:before {
	font-family: FontAwesome;
	font-size: 20px;
}
.cmthidden .userpic img {
	width: 40px;
}
.cmtsts0 { border-top: 1px solid #009688; border-right: 4px solid #009688; 
	box-shadow: inset 8px 20px 40px 0px rgba(0,151,167,0.4);
}
.cmtsts0 .cmtdate a:before { content: "\f06e \00a0"; /*eye*/ }
.cmtsts-8 { border-top: 1px solid #c0c0c0; border-right: 4px solid #c0c0c0; }
.cmtsts-8 .cmtdate a:before { content: "\f014 \00a0"; /*trash-o*/ }
.cmtsts-16 { border-top: 1px solid red; border-right: 4px solid red; 
	box-shadow: inset 2px 1px 16px 16px rgba(255,0,0,0.2);
}
.cmtsts-16 p { color: red; }
.cmtsts-16 .cmtdate a:before { content: "\f05e \00a0"; /*ban*/ }

.cmt-card.cmthidden p {
  margin-top: 12px;
}
#editmsg{
	text-align: right;
	color: #888;
}
#editmsg i{
	position: absolute;
	right: 20px;
	background-color: #fff;
	box-shadow: 0px 0px 16px 3px rgba(0,0,0,0.1);
	z-index: 2;
}
#editmsg p.error {
	position: absolute;
	width: 200px;
	right: 0;
	color: white !important;
	text-align: center;
	font-size: 12px;
	padding:2px;
	white-space: normal;
	box-shadow: 0px 3px 8px 2px rgba(0,0,0,0.2);
}
#editCommentDiv {
	position: absolute;
	background-color: #fff;
	z-index: 1;
	right: 8px;
	top: 24px;
	width: 200px;
	box-shadow: 0px 3px 8px 2px rgba(0,0,0,0.2);
}
#editCommentDiv div {
	min-height: 60px;
	max-height: 65px;
	font-size: 12px;
	overflow: hidden;
}
#editCommentDiv div a.w3-btn, #editmsg i{
	width: 50px;
	height: 50px;
	border-radius: 50%;
	padding: 8px 0px;
	text-align: center;
}
#editCommentDiv div a:before { content: ""; }
#editCommentDiv div p {
	color: #888;
	line-height: 1.1em;
	margin: 2px 0 0 0;
	font-size: 11px;
	white-space: normal;
}
#editCommentDiv div b {
	color: #000;
}
.editoraction {
	color: #F44336;
	border: 2px solid #F44336;
	background-color: transparent;
}

.cmtdate {
	float: right;
	color: #c0c0c0;
	font-size: .8em;
	position: relative;
	white-space: nowrap;
}
.cmtdate a{
	padding: 0 8px;
	cursor: pointer;
	font-size: 16px;
}
.cmtname {
	display: inline;
}
.cmtname a{
	text-decoration: none;
}
.cmtinpal {position:relative; max-height:64px; overflow:hidden;}
.cmtinpal a{	text-decoration: none; display: block; color:#000;}
.cmtinpal i{	position:absolute; right:1px; bottom:1px;}

.hchart {overflow-x:auto; overflow-y:hidden; height:75px; display:flex; flex-direction: row;}
.hchart div{width:100px; border-left:5px solid #C6FF00; padding:0 4px 0 1px;}
.hchart div a{padding:4px;}

.logout {
	position:absolute;
	top:20px;right:16px;
}

.fa-rss:before {
	/*content: "\f09e";*/
	color: #fff;
	background-color: orange;
	background: linear-gradient(to bottom right, #FF6F00, #FFC107, #FF6F00);
	padding: 2px 4px 0px 4px;
	border-radius: 6px;
	border: 1px solid rgba(128,64,0,0.3);
	box-shadow: 0px 2px 2px 2px rgba(0,0,0,0.1);
}

footer  {
 clear:both; 
 margin-top: 32px;
 padding-bottom: 40px;
}

/* :target:before {
  content:"";
  display:block;
  height:60px; 
  margin:-60px 0 0; 
}*/
.showjumpto {
	display: none;
	text-align: right;
	margin-right: 16px;
}

.vtoolbar {
	margin: -2px 2px 4px 4px;
}
.vtoolbar .togglebar {
	padding: 2px; cursor: pointer;
}
.vtoolbar .w3-btn {
	padding: 6px 8px; overflow: hidden; height: 32px;
}
#toggleToolbar { display: none; }
#toggleToolbar:checked ~ .w3-btn { width:32px; }

@media only screen and (max-width: 600px) {
	.showjumpto { display: block; }
}

@media screen and (max-width:630px) {
	.w3-modal-content .w3-topnav a , .w3-modal-content .w3-topnav a:first-child {
		margin:8px ; padding:8px;
	}
	.w3-topnav {
		text-align: center;
	}
	h2 { margin-left: 4px; }
	h3 { margin-left: 2px; }
	
	.pal-card {
		margin: 16px 8px;
		padding: 1px;
	}
}

